"""Doc string"""

from ZDConfera import *

def initialize(context):
    context.registerClass(ZDConferaTopic,
			  constructors=(manage_addConferaTopicForm,
					manage_addConferaTopic)
			  )

def manage_addConferaTopic(self,id,title='',mailhost='',exp=0,expire='0',
			   moderated=0, default=1, REQUEST=None):
    """Create Confera topic"""
    if exp:
        try:    expire=atoi(expire)
        except: expire=0
    else:   expire=0
    if mailhost:
        try:    v=getattr(self, mailhost)
        except: return MessageDialog(title='Invalid Mail Host',
				     message='Cannot find the named mail host!',
				     action=REQUEST['URL1']+'/manage_main')
    ob=ZDConferaTopic(id,title,mailhost,expire,moderated,default)
    self._setObject(id, ob)
    if REQUEST: return self.manage_main(self,REQUEST,update_menu=1)

manage_addConferaTopicForm = HTMLFile('addTopicForm', globals())

misc_={'topic.gif':      ImageFile('topic.gif', globals()),
       'message.gif':    ImageFile('message.gif', globals()),
       'reply.gif':      ImageFile('reply.gif', globals()),
       'attachment.gif': ImageFile('attachment.gif', globals()),
      }

__ac_permissions__=(('Add Confera Topics',
                    ('manage_addConferaTopic',
                     'manage_addConferaTopicForm'),
                    ),
                    ('Add messages', ()),
                    )
